Package org.bukkit.event.entity

# Class EntityRegainHealthEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityRegainHealthEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityRegainHealthEvent extends EntityEvent implements Cancellable
Stores data for health-regain events

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EntityRegainHealthEvent.RegainReason`
An enum to specify the type of health regaining that is occurring

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityRegainHealthEvent(@NotNull Entity entity, double amount, @NotNull EntityRegainHealthEvent.RegainReason regainReason)`
`EntityRegainHealthEvent(@NotNull Entity entity, double amount, @NotNull EntityRegainHealthEvent.RegainReason regainReason, boolean isFastRegen)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getAmount()`
Gets the amount of regained health
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull EntityRegainHealthEvent.RegainReason`
`getRegainReason()`
Gets the reason for why the entity is regaining health
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isFastRegen()`
Is this event a result of the fast regeneration mechanic
`void`
`setAmount(double amount)`
Sets the amount of regained health
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityRegainHealthEvent

public EntityRegainHealthEvent(@NotNull @NotNull Entity entity, double amount, @NotNull @NotNull EntityRegainHealthEvent.RegainReason regainReason)

### EntityRegainHealthEvent

public EntityRegainHealthEvent(@NotNull @NotNull Entity entity, double amount, @NotNull @NotNull EntityRegainHealthEvent.RegainReason regainReason, boolean isFastRegen)

## Method Details

### isFastRegen

public boolean isFastRegen()
Is this event a result of the fast regeneration mechanic

Returns:
  Whether the event is the result of a fast regeneration mechanic

### getAmount

public double getAmount()
Gets the amount of regained health

Returns:
  The amount of health regained

### setAmount

public void setAmount(double amount)
Sets the amount of regained health

Parameters:
  `amount` - the amount of health the entity will regain

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getRegainReason

@NotNull public @NotNull EntityRegainHealthEvent.RegainReason getRegainReason()
Gets the reason for why the entity is regaining health

Returns:
  A RegainReason detailing the reason for the entity regaining health

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()